"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:projects/smalltalk' }"

ApplicationDefinition subclass:#stx_projects_smalltalk
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!

!stx_projects_smalltalk class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    The Smalltalk executable (with GUI)

    [Author:]
        Claus Gittinger

    [startWith:]
        Start the ST/X application from the command line
"
! !

!stx_projects_smalltalk class methodsFor:'description'!

applicationIconFileName
    ^ 'stx_32x32'
!

applicationNameConsole
    "normally, the appName is constructed from the package,
     and the consoleApp has '_debug' added to the name.
     Here, the consoleApp is called 'stx' and the non-console app is called 'winstx'.
     This might change in the future."

    ^ 'stx'
!

applicationNameNoConsole
    "normally, the appName is constructed from the package,
     and the consoleApp has '_debug' added to the name.
     Here, the consoleApp is called 'stx' and the non-console app is called 'winstx'.
     This might change in the future."

    ^ 'winstx'
!

buildTarget
    "redefined, so by default, the executable file is only built - not an installer.
     For the installer to be built, we must explicitly type 'bmake setup'"

     ^ 'exe'
!

isConsoleApplication
    ^ true "actually, we do both the console and the non-console app (see additionalTargets_bc_dot_mak)"
!

isGUIApplication
    ^ true
!

needResources
    "my resources are already in place"

    ^ true    
"/    ^ false

    "Modified: / 01-03-2007 / 17:30:30 / cg"
!

preRequisites
    ^ #(
        #'stx:libbasic'    
        #'stx:libbasic2'
        #'stx:libbasic3'
        #'stx:libcomp'    
        #'stx:libhtml'
        #'stx:libtool'    
        #'stx:libtool2'
        #'stx:libui'
        #'stx:libview'
        #'stx:libview2'
        #'stx:libwidg'
        #'stx:libwidg2'
        #'stx:libwidg3'
        #'stx:goodies/refactoryBrowser/helpers'
        #'stx:goodies/refactoryBrowser/parser'
        #'stx:goodies/refactoryBrowser/refactoring'
        #'stx:goodies/refactoryBrowser/changes'
        #'stx:libboss'
    )
!

subProjects
    ^ #(
)
! !

!stx_projects_smalltalk class methodsFor:'description - building'!

additionalFilesToInstall
    "becomes part of the nsi list of files to install"

    ^ #(
        '"d_*.rc" "h_*.rc" "private.rc" "smalltalk*.rc"'
        '"${STX_ROOT}\stx\projects\smalltalk\patches"'
        '/r "${STX_ROOT}\stx\include"'
        '/r CVS "${STX_ROOT}\stx\libview\styles"'
       )

    "Created: / 01-03-2007 / 20:03:15 / cg"
!

additionalTargets_bc_dot_mak
    ^ 'winstx'
!

iconFileName
    ^ 'stx_32x32.ico'
!

nsiDeliveredExecutables
    ^ '"stx.exe" "winstx.exe"'
! !

!stx_projects_smalltalk class methodsFor:'description - contents'!

classNamesAndAttributes
    ^ #(
        "<className> or (<className> attributes...) in load order"
        #'stx_projects_smalltalk'
    )
!

extensionMethodNames
    ^ #(
    )
!

protectedFileNames
    "do NOT overwrite the hand-written Make.proto for now"

    ^ #( 'Make.proto' )
! !

!stx_projects_smalltalk class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X IDE'

    "Modified: / 10-02-2007 / 18:36:19 / cg"
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2007\nCopyright eXept Software AG 1998-2007'

    "Modified: / 10-02-2007 / 18:36:27 / cg"
!

productFilename
    ^ 'SmalltalkX'

    "Modified: / 01-03-2007 / 19:34:15 / cg"
! !

!stx_projects_smalltalk class methodsFor:'description - startup'!

startupClassName
    ^ #Smalltalk
!

startupSelector
    ^ #start
! !

!stx_projects_smalltalk class methodsFor:'documentation'!

version
    ^ '$Header$'
! !
